www/eliom - The NetBSD Packages Collection

Dynamic webpage generation library

Eliom is an OCaml library for the webserver Ocsigen that allows
for the creation of dynamic webpages. In this way, a website is
not written as a separate set of pages, but as one integral OCaml
module.

Build dependencies

devel/ocamlbuild misc/ocaml-opam pkgtools/cwrappers devel/ocamlbuild misc/ocaml-opam devel/gmake

Runtime dependencies

www/ocsigen devel/ocaml-findlib lang/ocaml devel/js_of_ocaml devel/ocaml-lwt_log devel/ocaml-lwt_ppx devel/ocaml-ppx_tools devel/ocaml-react devel/ocaml-reactiveData net/ocaml-ipaddr net/ocamlnet security/ocaml-ssl textproc/ocaml-tyxml time/ocaml-calendar devel/ocaml-findlib devel/js_of_ocaml devel/ocaml-lwt_log devel/ocaml-lwt_ppx devel/ocaml-ppx_tools devel/ocaml-react devel/ocaml-reactiveData net/ocamlnet security/ocaml-ssl textproc/ocaml-tyxml time/ocaml-calendar

Available binary packages

aarch64:eliom-6.11.0.tgz(NetBSD 9.0)
aarch64:eliom-6.11.0.tgz(NetBSD 9.0)
aarch64:eliom-6.12.4.tgz(NetBSD 9.0)
i386:eliom-6.11.0.tgz(NetBSD 8.0)
i386:eliom-6.11.0.tgz(NetBSD 8.0)
i386:eliom-6.12.4.tgz(NetBSD 8.0)
i386:eliom-6.11.0.tgz(NetBSD 9.0)
i386:eliom-6.11.0.tgz(NetBSD 9.0)
i386:eliom-6.12.4.tgz(NetBSD 9.0)
x86_64:eliom-6.11.0.tgz(NetBSD 9.0)
x86_64:eliom-6.12.4.tgz(NetBSD 9.0)
x86_64:eliom-6.12.4.tgz(NetBSD 9.0)
x86_64:eliom-6.11.0.tgz(NetBSD 9.0)
x86_64:eliom-6.11.0.tgz(NetBSD 8.0)
x86_64:eliom-6.11.0.tgz(NetBSD 8.0)
x86_64:eliom-6.12.4.tgz(NetBSD 8.0)
x86_64:eliom-6.11.0.tgz(NetBSD 9.0)
x86_64:eliom-6.11.0.tgz(NetBSD 9.0)
x86_64:eliom-6.12.4.tgz(NetBSD 9.0)
x86_64:eliom-6.12.4.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]